GTAGS(1)

NAME
gtags - create GTAGS, GRTAGS file

SYNOPSIS
gtags [-e] [-s] [dbpath]

DESCRIPTION
Gtags makes GTAGS, GRTAGS files for global(1). Gtags trace subdirectories, read source files, locate the functions and save the information into tag files. C, yacc and assembler source files are supported. You should execute this command at the root of the source tree.

If your source directory is on a read only device like CDROM, specify dbpath of the directory on which make tags files.

-e  force a function to end when reach a '}' at the first column in C source file.

-s  treat assembler source file (*.s, *.S).

FILES
GTAGS
    tags file for function definitions.
GRTAGS
    tags file for function references.

DIAGNOSTICS
Gtags exits with a value of 1 if an error occurred, 0 otherwise.

SEE ALSO
global(1), btreeop(1), gctags(1)

BUG
GTAGS, GRTAGS are very large. In advance, check the space of your disk. Assembler support is far from completeness. It extracts only ENTRY() and ALTENTRY() from source file. Probably valid only for FreeBSD and Linux kernel source.

AUTHORS
Shigio Yamaguchi (shigio@wafu.netgate.net)

HISTORY
The gtags command appeared in FreeBSD 2.2.